#pragma once

#include "Room.h"

class Maze: public IDrawable {
public:
    void draw_into(sf::RenderWindow& window) const override;
public:
    Maze(std::vector<std::unique_ptr<Room>>&& rooms): m_rooms(std::move(rooms)) {}
private:
    std::vector<std::unique_ptr<Room>>&& m_rooms;
};