#pragma once

#include "IWindowKeeper.h"
#include "Draw/Menu.h"

class SelectState: public IState, public IWindowKeeper {
public:
    bool do_step() override;
    void event_handling() override;
    void update() override;
    void render() override;
public:
    SelectState(IStateManager& state_manager, const sf::VideoMode& video_mode, const std::string& window_title);
private:
    Menu m_menu;

};